﻿using System.Windows;

namespace WpfCommandDemo
{
    /// <summary>
    /// MainView.xaml 的交互逻辑
    /// </summary>
    public partial class MainView : IView
    {
        public MainView()
        {
            InitializeComponent();
            Presenter = new SimplePresenter {View = this};
            DataContext = Presenter;
        }

        #region IView 成员

        public SimplePresenter Presenter
        {
            get;
            set;
        }

        #endregion

        private void btnTest_Click(object sender, RoutedEventArgs e)
        {
            Presenter.AddGreetingsCommandsBinding(this);
        }
    }
}
